//
//  VourcherTableViewCell.h
//  cell点击活动按钮展开收缩
//
//  Created by lujh on 16/7/20.
//  Copyright © 2016年 卢家浩. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "VoucherList.h"
@class VourcherTableViewCell;

@protocol ShowOrHiddenActivityDelegate <NSObject>

-(void)showOrHiddenActivity:(VourcherTableViewCell*)cell clickedAtIndexPath:(NSIndexPath *) indexPath;

@end
@interface VourcherTableViewCell : UITableViewCell
@property(nonatomic,copy)NSMutableDictionary *stateDict;
@property(nonatomic,copy)NSDictionary *dataDict;
//详细信息按钮view
@property(nonatomic,strong)UIView *btnView;
//详细信息view
@property(nonatomic,strong)UIView *detailView;
@property(nonatomic,strong)UIView *backView;
//@property(nonatomic,strong)UIGestureRecognizer *tap;
@property(nonatomic,strong)UIButton *button;

@property (nonatomic, strong) NSIndexPath *indexPath;

@property(nonatomic,strong)VoucherList *voucherList;

@property(nonatomic,assign)id <ShowOrHiddenActivityDelegate>showOrHiddenActivityDelegate;
@end
